Package: groovy.org.codenarc.rule.junit

## [Groovy] Class ChainedTestRule

- groovy.org.codenarc.rule.junit.ChainedTestRule

- A test method that invokes another test method is a chained test; the methods are dependent on one another. Tests should be atomic, and not be dependent on one another.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority